// creator  : weidu.exe (version 23100)
// argument : GORAPP1.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~GORAPP1~

IF ~Global("KnightsInKeep","GLOBAL",1)~ THEN BEGIN 0 // from:
  SAY #62728 /* ~Aaaah, a Child of Bhaal.  So the time has come for thee already, has it?  How sad that it is mine own brethren of this time that have fallen so far from Helm's path.~ [GORAPP01] */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #62729 /* ~When Helm came to us so long ago, we could not refuse our duty.  I and many of my brethren gave our own lives willingly to guard this place, a task now almost finished.~ [GORAPP02] */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #62730 /* ~The Brother, Odren, has shown cowardice and dishonesty in his dealings with thee.  In the eyes of Helm, his fate is sealed. Will you aid a Knight of the Vigil true?~ [GORAPP03] */
  IF ~~ THEN REPLY #62731 /* ~What is it that you need?~ */ GOTO 5
  IF ~~ THEN REPLY #62735 /* ~Why should I trust you?  You could be trying to manipulate me just like Odren.~ */ GOTO 3
  IF ~~ THEN REPLY #62736 /* ~Forget it!  I have had my chain jerked around quite enough today, thank you.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.2 2.1
  SAY #62746 /* ~Aye, 'tis true.  Thou hast many reasons to believe I am doing other than being honest with thee.  I can do naught, however, but tell thee the simple truths and abide by thy decision.  Wilt thou listen?~ [GORAPP04] */
  IF ~~ THEN REPLY #62753 /* ~Very well.  Say what you have to, and then I'll decide.~ */ GOTO 5
  IF ~~ THEN REPLY #62754 /* ~Forget it.  I'm through with all of this.  Right now.~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 13.4 12.4 11.5 3.1
  SAY #62755 /* ~As you desire, though it saddens me.  We have failed our task and there is nothing more to be done.  Go in peace, Child of Bhaal.~ */
  IF ~~ THEN DO ~SetGlobal("KnightsDead","GLOBAL",1)
CreateVisualEffect("SPFLESH2",[1080.570])
DestroySelf()~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.0 2.0
  SAY #62756 /* ~The Knight, Odren, has not been honest with thee... thou knowest this.  The ritual repairs the old seals, trapping the Imprisoned One as well as the one who reads the ritual.~ [GORAPP05] */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #62757 /* ~Odren intended it be thee to sacrifice thy life, rather than make his own sacrifice willingly.  He also failed to tell thee the scope of the evil that lies within... the Imprisoned One is Demogorgon, Prince of Demons.~ [GORAPP06] */
  IF ~~ THEN GOTO 7
  IF ~IsValidForPartyDialog("Keldorn")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~KELDO25J~ 4
  IF ~IsValidForPartyDialog("Anomen")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~ANOME25J~ 22
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #62759 /* ~Odren cannot win in the battle below against the demon.  The ritual is Odren's... with his death, Demogorgon will be free to leave the Watcher's Keep.  Imagine, if thou wilst, what such a creature would do, then.~ [GORAPP07] */
  IF ~~ THEN REPLY #62760 /* ~What do you propose, then?~ */ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #62761 /* ~Thou hast three options.  One is to leave... I cannot deny thee this right.  The second is to rescue Odren below.  Thou dost owe him nothing, it is true, and battling the Prince is a deadly task.~ */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #62762 /* ~Should the Prince of Demons be destroyed, he is returned only to the Abyss.  This is better, however, than freeing him loose upon this land.  A third, and better, option is also possible.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #62763 /* ~Helm the All-Seeing has granted me a scroll... a version of the ritual you carried before.  But this is Helm's own.  It may be used to seal both Odren and Demogorgon within, and you need not enter the Keep to do so.~ */
  IF ~~ THEN GOTO 11
  IF ~IsValidForPartyDialog("Cernd")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~CERND25J~ 4
  IF ~IsValidForPartyDialog("Jaheira")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~JAHEI25J~ 24
  IF ~IsValidForPartyDialog("Viconia")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~VICON25J~ 21
  IF ~IsValidForPartyDialog("Korgan")
GlobalGT("Chapter","GLOBAL",7)
~ THEN EXTERN ~KORGA25J~ 5
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #62764 /* ~Take this ritual scroll as the Watcher's... apology... to thee, Child of Bhaal, for the disobedience of His followers.  The choice, however, is still ultimately thine.  What dost thou wish?~ */
  IF ~~ THEN REPLY #62765 /* ~I will seal the Keep with Helm's scroll, if that is His wish.~ */ UNSOLVED_JOURNAL #63048 /* ~Watcher's Keep

Odren has entered the Keep to confront Demogorgon, and will no doubt be killed in the process.  An apparition appeared and offered me a scroll from Helm, Himself, which will allow me to seal both Demogorgon and the unfaithful Odren inside the Keep forever.  I accepted it... and have only to use the scroll anywhere in the area outside of the prison... then the Imprisoned One's Lair will be sealed forever.~ */ GOTO 15
  IF ~~ THEN REPLY #62766 /* ~Why don't you just use the scroll yourself?~ */ GOTO 12
  IF ~~ THEN REPLY #62767 /* ~I would prefer to destroy Demogorgon, myself.  He cannot be allowed to remain here.~ */ UNSOLVED_JOURNAL #63091 /* ~Watcher's Keep

Odren has entered the Keep to confront Demogorgon, and will no doubt be killed in the process.  An apparition appeared and offered me a scroll from Helm, Himself, which will allow me to seal both Demogorgon and the unfaithful Odren inside the Keep forever.  I declined to use it, though the apparition gave it to me anyway... it need only be used in front of the door that leads to Demogorgon.  Instead, I intend to go and confront the Demon Prince, myself.~ */ GOTO 16
  IF ~~ THEN REPLY #62768 /* ~I won't leave Odren to Demogorgon's mercies, despite what he's done.~ */ UNSOLVED_JOURNAL #63091 /* ~Watcher's Keep

Odren has entered the Keep to confront Demogorgon, and will no doubt be killed in the process.  An apparition appeared and offered me a scroll from Helm, Himself, which will allow me to seal both Demogorgon and the unfaithful Odren inside the Keep forever.  I declined to use it, though the apparition gave it to me anyway... it need only be used in front of the door that leads to Demogorgon.  Instead, I intend to go and confront the Demon Prince, myself.~ */ GOTO 14
  IF ~~ THEN REPLY #62770 /* ~Is there a reward for this?  Or should I be acting for the good of my heart?~ */ GOTO 13
  IF ~~ THEN REPLY #62769 /* ~None of this has anything to do with me.  I am leaving.~ */ GOTO 4
END

IF ~~ THEN BEGIN 12 // from: 13.1 11.1
  SAY #62771 /* ~I cannot use the scroll, Bhaalchild.  I have no existence beyond this shade... and Helm offers the scroll to thee, alone, so that the ancient prison might be resealed... should that be thy choice.~ */
  IF ~~ THEN REPLY #62772 /* ~Very well... if it costs me nothing, I will use the scroll.~ */ UNSOLVED_JOURNAL #63048 /* ~Watcher's Keep

Odren has entered the Keep to confront Demogorgon, and will no doubt be killed in the process.  An apparition appeared and offered me a scroll from Helm, Himself, which will allow me to seal both Demogorgon and the unfaithful Odren inside the Keep forever.  I accepted it... and have only to use the scroll anywhere in the area outside of the prison... then the Imprisoned One's Lair will be sealed forever.~ */ GOTO 15
  IF ~~ THEN REPLY #62773 /* ~I would still prefer to destroy Demogorgon, myself.  He cannot be allowed to remain here.~ */ UNSOLVED_JOURNAL #63091 /* ~Watcher's Keep

Odren has entered the Keep to confront Demogorgon, and will no doubt be killed in the process.  An apparition appeared and offered me a scroll from Helm, Himself, which will allow me to seal both Demogorgon and the unfaithful Odren inside the Keep forever.  I declined to use it, though the apparition gave it to me anyway... it need only be used in front of the door that leads to Demogorgon.  Instead, I intend to go and confront the Demon Prince, myself.~ */ GOTO 16
  IF ~~ THEN REPLY #62774 /* ~I won't leave Odren to Demogorgon's mercies, despite what he's done.~ */ UNSOLVED_JOURNAL #63091 /* ~Watcher's Keep

Odren has entered the Keep to confront Demogorgon, and will no doubt be killed in the process.  An apparition appeared and offered me a scroll from Helm, Himself, which will allow me to seal both Demogorgon and the unfaithful Odren inside the Keep forever.  I declined to use it, though the apparition gave it to me anyway... it need only be used in front of the door that leads to Demogorgon.  Instead, I intend to go and confront the Demon Prince, myself.~ */ GOTO 14
  IF ~~ THEN REPLY #62775 /* ~And is there a reward for doing this for Helm?~ */ GOTO 13
  IF ~~ THEN REPLY #62776 /* ~Forget it, then.  This doesn't concern me... I'll be leaving, now.~ */ GOTO 4
END

IF ~~ THEN BEGIN 13 // from: 12.3 11.4
  SAY #62777 /* ~The reward is thy conscience, should such exist.  I have told thee truths.  If thou dost see a duty in this, it is thy choice whether to act upon it or not.~ */
  IF ~~ THEN REPLY #62778 /* ~Very well... if it costs me nothing, I will use the scroll.~ */ UNSOLVED_JOURNAL #63048 /* ~Watcher's Keep

Odren has entered the Keep to confront Demogorgon, and will no doubt be killed in the process.  An apparition appeared and offered me a scroll from Helm, Himself, which will allow me to seal both Demogorgon and the unfaithful Odren inside the Keep forever.  I accepted it... and have only to use the scroll anywhere in the area outside of the prison... then the Imprisoned One's Lair will be sealed forever.~ */ GOTO 15
  IF ~~ THEN REPLY #62779 /* ~Why don't you use the scroll yourself?  Why get me to do it?~ */ GOTO 12
  IF ~~ THEN REPLY #62780 /* ~I would still prefer to destroy Demogorgon, myself.  He cannot be allowed to remain here.~ */ UNSOLVED_JOURNAL #63091 /* ~Watcher's Keep

Odren has entered the Keep to confront Demogorgon, and will no doubt be killed in the process.  An apparition appeared and offered me a scroll from Helm, Himself, which will allow me to seal both Demogorgon and the unfaithful Odren inside the Keep forever.  I declined to use it, though the apparition gave it to me anyway... it need only be used in front of the door that leads to Demogorgon.  Instead, I intend to go and confront the Demon Prince, myself.~ */ GOTO 16
  IF ~~ THEN REPLY #62781 /* ~I won't leave Odren to Demogorgon's mercies, despite what he's done.~ */ UNSOLVED_JOURNAL #63091 /* ~Watcher's Keep

Odren has entered the Keep to confront Demogorgon, and will no doubt be killed in the process.  An apparition appeared and offered me a scroll from Helm, Himself, which will allow me to seal both Demogorgon and the unfaithful Odren inside the Keep forever.  I declined to use it, though the apparition gave it to me anyway... it need only be used in front of the door that leads to Demogorgon.  Instead, I intend to go and confront the Demon Prince, myself.~ */ GOTO 14
  IF ~~ THEN REPLY #62782 /* ~Forget it, then.  This doesn't concern me... I'll be leaving, now.~ */ GOTO 4
END

IF ~~ THEN BEGIN 14 // from: 13.3 12.2 11.3
  SAY #62789 /* ~Thy compassion has merit, Bhaalchild.  I shall entrust Helm's scroll with thee, regardless, should you decide to alter your decision.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 16.0 14.0 13.0 12.0 11.0
  SAY #62791 /* ~Take the scroll... and should you wish to use it, do so out here in the open outside of the prison.  Read it aloud and thou art done, all entrances to the prison will be sealed.~ */
  IF ~~ THEN DO ~GiveItemCreate("PLOT01Q",LastTalkedToBy(),0,0,0)
AddXP2DA("PLOT01E")~ GOTO 17
END

IF ~~ THEN BEGIN 16 // from: 13.2 12.1 11.2
  SAY #62793 /* ~Thou art valiant to declare such, Bhaalchild... with luck, thy power will be equal to the task.  Should that not be so... I shall entrust Helm's scroll with thee, regardless.~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 17 // from: 15.0
  SAY #62796 /* ~Go with Helm's blessing, Child of Bhaal.  Be safe... and be wary of thy destiny.~ */
  IF ~~ THEN DO ~CreateVisualEffect("SPFLESH2",[1080.570])
DestroySelf()~ EXIT
END
